Error
A valid request URL is required to generate request examples{
"status": "ok",
"results": "<unknown>"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}v2
Replace direct access role
Create or replace one principal’s direct role on a resource.
PUT
/
api
/
v2
/
projects
/
{projectUuid}
/
direct-access
/
{resourceType}
/
{resourceUuid}
/
assignments
/
{principalType}
/
{principalUuid}
Error
A valid request URL is required to generate request examples{
"status": "ok",
"results": "<unknown>"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Closed registry of resource types that support direct access grants.
Growing this union means adding a resource registry entry, an
AccessTarget mapping, and grant tables — never a new handler hierarchy.
Available options:
dashboard, chart, sqlChart, app Available options:
user, group Body
application/json
Available options:
viewer, editor, admin Was this page helpful?